##############################
# DEMO for ScrolledCanvas
##############################

  # touch 'auto_path', so that package can be found even
  #  it has not been installed in 'standard' directories.
 set thisDir [file dirname [info script]]
 lappend auto_path $thisDir
   
 package require scanvas 1.0

 set c  .c

  # create a scrolledcanvas;
  # as you can see it is identical to 'canvas' command,
  # ( you can use ALL 'canvas' parameters/options )
  #  moreover, two scrollbars are automatically added
 scanvas $c \
     -relief sunken -borderwidth 2 \
     -bg green \
     -scrollregion {-300 -300 300 300} 


  # extra stuff ...
  #  provide a feedback
 label .lbl -textvariable ::POSITION -relief sunken -bd 2
 bind $c <Motion> { 
    set ::POSITION "Mouse at  X:[%W canvasx %x]  Y:[%W canvasy %y]"
 }

  # draw  (bottom widgets first !
 pack .lbl -fill x -side bottom  -padx 2 -pady 2
 pack $c -expand yes -fill both -side top

  
 ## some decoration ###
 
  # move vertical scrollbar to left
 $c configure -vscrollside left
  # draw a x-cross
 $c create line -100 -100 100  100 
 $c create line -100  100 100 -100 

  #  set the canvas border
 $c configure -bd 5
  # set the "container" frame border
 $c frame configure -bd 10
  # configure the scrollbar
 $c hscroll configure -width 20
 $c vscroll configure -width 20




